Name:      perl-WWW-Shorten
Summary:   Perl interface to URL shortening sites
Version:   3.03
Release:   1%{dist}
License:   GPL+ or Artistic
Group:     Development/Libraries
URL:       http://search.cpan.org/dist/WWW-Shorten
Source:    http://search.cpan.org/CPAN/authors/id/D/DA/DAVECROSS/%{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(Config::Auto)
BuildRequires:  perl(LWP)
BuildRequires:  perl(URI)

%description
This package provides the Perl module WWW-Shorten, which is
a Perl interface to URL shortening sites.

%prep
%setup -q -n WWW-Shorten-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc README Changes
%{_bindir}/shorten
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Mon May 6 2013 Andrea Veri <averi@fedoraproject.org> - 3.03-1%{?dist}
- Initial build.
